version: '1'

rule_settings:

  enable:
  - default

  disable:
  # Code is easier to read without this
  - min-max-identity
  # FIXME: verify if we want to keep the checks below.
  # If not, remove them. If yes, move them above this comment.
  - use-fstring-for-formatting
  - replace-interpolation-with-fstring
  - use-fstring-for-concatenation
  - merge-dict-assign
  - assign-if-exp
  - inline-immediately-returned-variable
  - remove-redundant-if
  - list-comprehension
  - switch
  - dict-literal
  - low-code-quality
  - dict-comprehension
  - for-append-to-extend
  - raise-specific-error
  - simplify-len-comparison
  - de-morgan
  - merge-nested-ifs
  - remove-dict-keys
  - remove-zero-from-range
  - use-named-expression
  - use-next
  - sum-comprehension
  - use-join
  - merge-comparisons

  rule_types:
  - refactoring
  - suggestion
  - comment

  python_version: '3.9'
